com.io7m.r2.core.debug

## Class R2DebugLineSegment.Builder

- java.lang.Object
- - com.io7m.r2.core.debug.R2DebugLineSegment.Builder

- Enclosing class:
    R2DebugLineSegment

      public static final class R2DebugLineSegment.Builder
      extends Object

  Builds instances of type `R2DebugLineSegment`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DebugLineSegment` | `build()` Builds a new `R2DebugLineSegment`.
    `R2DebugLineSegment.Builder` | `from(R2DebugLineSegmentType instance)` Fill a builder with attribute values from the provided `R2DebugLineSegmentType` instance.
    `R2DebugLineSegment.Builder` | `setFrom(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceWorldType> from)` Initializes the value for the `from` attribute.
    `R2DebugLineSegment.Builder` | `setFromColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> fromColor)` Initializes the value for the `fromColor` attribute.
    `R2DebugLineSegment.Builder` | `setTo(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceWorldType> to)` Initializes the value for the `to` attribute.
    `R2DebugLineSegment.Builder` | `setToColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> toColor)` Initializes the value for the `toColor` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2DebugLineSegment.Builder from(R2DebugLineSegmentType instance)

      Fill a builder with attribute values from the provided `R2DebugLineSegmentType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setFrom

          public final R2DebugLineSegment.Builder setFrom(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceWorldType> from)

      Initializes the value for the `from` attribute.
      Parameters:
        `from` - The value for from
      Returns:
        `this` builder for use in a chained invocation

    - #### setFromColor

          public final R2DebugLineSegment.Builder setFromColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> fromColor)

      Initializes the value for the `fromColor` attribute.
      Parameters:
        `fromColor` - The value for fromColor
      Returns:
        `this` builder for use in a chained invocation

    - #### setTo

          public final R2DebugLineSegment.Builder setTo(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceWorldType> to)

      Initializes the value for the `to` attribute.
      Parameters:
        `to` - The value for to
      Returns:
        `this` builder for use in a chained invocation

    - #### setToColor

          public final R2DebugLineSegment.Builder setToColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> toColor)

      Initializes the value for the `toColor` attribute.
      Parameters:
        `toColor` - The value for toColor
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2DebugLineSegment build()

      Builds a new `R2DebugLineSegment`.
      Returns:
        An immutable instance of R2DebugLineSegment
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com